rpm 4.10.0

- Main Page
- Related Pages
- Modules
- Data Structures
- Files

- File List
- Globals

Typedefs | Enumerations | Functions
rpmte.h File Reference
Transaction Set API. | Transaction Element API.

Structures used for an "rpmte" transaction element. More...

`#include <rpm/rpmtypes.h>`
`#include <rpm/argv.h>`
Include dependency graph for rpmte.h:

Go to the source code of this file.

## Typedefs
typedef enum rpmElementType_e | rpmElementType
| Transaction element type.
typedef rpmFlags | rpmElementTypes
## Enumerations
enum | rpmElementType_e { TR_ADDED = (1 << 0), TR_REMOVED = (1 << 1) }
| Transaction element type. More...
## Functions
Header | rpmteHeader (rpmte te)
| Retrieve header from transaction element.
Header | rpmteSetHeader (rpmte te, Header h)
| Save header into transaction element.
rpmElementType | rpmteType (rpmte te)
| Retrieve type of transaction element.
const char * | rpmteN (rpmte te)
| Retrieve name string of transaction element.
const char * | rpmteE (rpmte te)
| Retrieve epoch string of transaction element.
const char * | rpmteV (rpmte te)
| Retrieve version string of transaction element.
const char * | rpmteR (rpmte te)
| Retrieve release string of transaction element.
const char * | rpmteA (rpmte te)
| Retrieve arch string of transaction element.
const char * | rpmteO (rpmte te)
| Retrieve os string of transaction element.
int | rpmteIsSource (rpmte te)
| Retrieve isSource attribute of transaction element.
rpm_color_t | rpmteColor (rpmte te)
| Retrieve color bits of transaction element.
rpm_color_t | rpmteSetColor (rpmte te, rpm_color_t color)
| Set color bits of transaction element.
unsigned int | rpmteDBInstance (rpmte te)
| Retrieve last instance installed to the database.
void | rpmteSetDBInstance (rpmte te, unsigned int instance)
| Set last instance installed to the database.
rpm_loff_t | rpmtePkgFileSize (rpmte te)
| Retrieve size in bytes of package file.
rpmte | rpmteParent (rpmte te)
| Retrieve parent transaction element.
rpmte | rpmteSetParent (rpmte te, rpmte pte)
| Set parent transaction element.
rpmps | rpmteProblems (rpmte te)
| Return problem set info of transaction element.
void | rpmteCleanProblems (rpmte te)
| Destroy problem set info of transaction element.
void | rpmteCleanDS (rpmte te)
| Destroy dependency set info of transaction element.
void | rpmteSetDependsOn (rpmte te, rpmte depends)
| Set dependent element of TR_REMOVED transaction element.
rpmte | rpmteDependsOn (rpmte te)
| Retrieve dependent element of TR_REMOVED transaction element.
int | rpmteDBOffset (rpmte te)
| Retrieve rpmdb instance of TR_REMOVED transaction element.
const char * | rpmteEVR (rpmte te)
| Retrieve [epoch:]version-release string from transaction element.
const char * | rpmteNEVR (rpmte te)
| Retrieve name-[epoch:]version-release string from transaction element.
const char * | rpmteNEVRA (rpmte te)
| Retrieve name-[epoch:]version-release.arch string from transaction element.
fnpyKey | rpmteKey (rpmte te)
| Retrieve key from transaction element.
int | rpmteFailed (rpmte te)
| Return failure status of transaction element.
rpmds | rpmteDS (rpmte te, rpmTagVal tag)
| Retrieve dependency tag set from transaction element.
rpmfi | rpmteFI (rpmte te)
| Retrieve file info tag set from transaction element.
ARGV_const_t | rpmteCollections (rpmte te)
| Retrieve list of collections.
int | rpmteHasCollection (rpmte te, const char *collname)
| Determine a transaction element is part of a collection.

## Detailed Description

Structures used for an "rpmte" transaction element.

Definition in file rpmte.h.

## Typedef Documentation

typedef rpmFlags rpmElementTypes

Definition at line 24 of file rpmte.h.